Last Comment Bug 785380 - Can't close the page inspector after toggling markup panel
: Can't close the page inspector after toggling markup panel
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Inspector (show other bugs)
: 17 Branch
: All All
: P1 normal (vote)
: Firefox 17
Assigned To: Dave Camp (:dcamp)
:
: Patrick Brosset <:pbro>
Mentors:
Depends on: 785528
Blocks: 777085
  Show dependency treegraph
 
Reported: 2012-08-24 06:53 PDT by Kevin Dangoor
Modified: 2012-08-25 17:02 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
duh (1.69 KB, patch)
2012-08-24 15:11 PDT, Dave Camp (:dcamp)
jwalker: review+
Details | Diff | Splinter Review
patch to land (938 bytes, patch)
2012-08-24 18:01 PDT, Dave Camp (:dcamp)
no flags Details | Diff | Splinter Review

Description Kevin Dangoor 2012-08-24 06:53:59 PDT
This appears to be similar to bug 706092.

I'm using Nightly 2012-08-24 (with the new markup panel)

STR:

1. go to a page
2. open the page inspector
3. open the markup panel
4. close the markup panel
5. close the page inspector

it closes, but there's a this.highlighter is null error in the web console. You can then open the page inspector again, but you won't be able to close it.

[09:21:52.724] TypeError: this.highlighter is null @ resource:///modules/inspector.jsm:1006

I also spotted this in the Error Console:

Timestamp: 8/24/12 9:45:38 AM
Error: TypeError: this._markupSplitter.parentNode is null
Source File: resource:///modules/inspector.jsm
Line: 312
Comment 1 Dave Camp (:dcamp) 2012-08-24 15:11:35 PDT
Created attachment 655184 [details] [diff] [review]
duh
Comment 2 Dave Camp (:dcamp) 2012-08-24 18:01:24 PDT
Created attachment 655233 [details] [diff] [review]
patch to land

Moved fix for bug 785528 into that bug.
Comment 4 Dave Camp (:dcamp) 2012-08-25 17:02:54 PDT
https://hg.mozilla.org/mozilla-central/rev/45ec9c8d4f27

Note You need to log in before you can comment on or make changes to this bug.